
Redmine - Feature #1114

Bundle Rails-Engines with Redmine

2008-04-25 23:11 - Andy L

Status: Closed Start date: 2008-04-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Redmine bundles many plugins in the core app, but not Rails Engines.

Hunting down and installing Rails Engines requires another step for the plugin developer.

Including this plugin should be very simple.

History

#1 - 2008-04-26 04:13 - Eric Davis

+1

Only potential issue is there are 2 versions of Rails Engines, one for Rails 2.0 and one for Rails 1.2.  After Redmine 0.7, can we make Rails 2.0 a

requirement?

#2 - 2008-04-28 14:35 - Jean-Philippe Lang

Rails 2.0 is now required in 0.7.0 and Redmine will automatically load Engines plugin if present.

See source:/trunk/config/environment.rb#L13

So a simple ruby script/plugin install engines will do the job, doesn't it ?

#3 - 2008-06-24 18:05 - Eric Davis

Jean-Philippe Lang wrote:

So a simple ruby script/plugin install engines will do the job, doesn't it ?

 I heard on #1508 that the latest Engines is for Rails 2.1 so we will need the 2.0 tag:

ruby script/plugin install http://svn.rails-engines.org/engines/tags/rel_2.0.0/

Can we get this added soon, every week now I'm getting bug reports on my plugins from people forgotting to install Engines, even though it's in  the

manual.

#4 - 2008-06-24 20:37 - Jean-Philippe Lang

Eric, I'll add it to the next release.

#5 - 2008-07-12 12:17 - Jean-Philippe Lang

- Category set to Plugin API

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Engines 2.1.0 plugin added in r1654.
